Get verification
curl --request GET \
--url https://api.dataspike.io/api/v3/sdk/{short_id} \
--header 'ds-api-token: <api-key>'{
"id": "VDBA1B2EA6A28A7D2",
"checks": {
"document_mrz": {
"data": {
"document_type": "Passport",
"country": "DE",
"name": "John",
"surname": "Doe",
"doc_number": "P-1234567890",
"nationality": "British",
"birth_date": "871224",
"sex": "M",
"expiry_date": "201224"
},
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"face_comparison": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"poa": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"liveness": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
}
},
"expires_at": "2023-07-18T15:32:13.000Z",
"settings": {
"poi_required": true,
"poi_allowed_documents": [],
"face_comparison_required": true,
"face_comparison_allowed_documents": [],
"poa_required": false,
"allow_poi_manual_uploads": false,
"allow_desktop": false,
"disable_cross_check_by_bio": false,
"disable_cross_check_by_photo": false,
"disable_verify_poa_country_match_with_poi": false,
"countries": [
"FR"
],
"ui_settings": {},
"manual_field_settings": {
"enabled": true,
"description": "<string>",
"full_name": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"email": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"phone": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"country": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"dob": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"gender": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"citizenship": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"address": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"certificate_of_incorporation": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"ownership_document": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"custom_fields": [
{
"label": "<string>",
"caption": "<string>",
"order": 123,
"options": {
"choices": [
"<string>"
],
"type": "<string>"
}
}
]
},
"finish_screen_settings": {
"enabled": true,
"settings": {
"title": "<string>",
"main_text": "<string>",
"redirect_warning": "<string>",
"cta": "<string>",
"redirect_link": "<string>"
}
}
},
"redirect_url": "https://example.org/redirect",
"country_code": "DE"
}SDK
Get verification
Get verification status and required checks
GET
/
api
/
v3
/
sdk
/
{short_id}
Get verification
curl --request GET \
--url https://api.dataspike.io/api/v3/sdk/{short_id} \
--header 'ds-api-token: <api-key>'{
"id": "VDBA1B2EA6A28A7D2",
"checks": {
"document_mrz": {
"data": {
"document_type": "Passport",
"country": "DE",
"name": "John",
"surname": "Doe",
"doc_number": "P-1234567890",
"nationality": "British",
"birth_date": "871224",
"sex": "M",
"expiry_date": "201224"
},
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"face_comparison": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"poa": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"liveness": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
}
},
"expires_at": "2023-07-18T15:32:13.000Z",
"settings": {
"poi_required": true,
"poi_allowed_documents": [],
"face_comparison_required": true,
"face_comparison_allowed_documents": [],
"poa_required": false,
"allow_poi_manual_uploads": false,
"allow_desktop": false,
"disable_cross_check_by_bio": false,
"disable_cross_check_by_photo": false,
"disable_verify_poa_country_match_with_poi": false,
"countries": [
"FR"
],
"ui_settings": {},
"manual_field_settings": {
"enabled": true,
"description": "<string>",
"full_name": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"email": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"phone": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"country": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"dob": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"gender": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"citizenship": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"address": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"certificate_of_incorporation": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"ownership_document": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"custom_fields": [
{
"label": "<string>",
"caption": "<string>",
"order": 123,
"options": {
"choices": [
"<string>"
],
"type": "<string>"
}
}
]
},
"finish_screen_settings": {
"enabled": true,
"settings": {
"title": "<string>",
"main_text": "<string>",
"redirect_warning": "<string>",
"cta": "<string>",
"redirect_link": "<string>"
}
}
},
"redirect_url": "https://example.org/redirect",
"country_code": "DE"
}Documentation Index
Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
From what event id start fetch history Short ID from Create Verification API
Example:
"VDBA1B2EA6A28A7D2"
Response
200 - application/json
Verification response
Minimized Verification Object used for SDK
Short verification id
Example:
"VDBA1B2EA6A28A7D2"
Available options:
active, expired, completed Object describes required checks and it`s current status
Show child attributes
Show child attributes
Verification expiration timestamp
Example:
"2023-07-18T15:32:13.000Z"
Verification profile settings
Show child attributes
Show child attributes
merchant's website reidrect url on completion
Example:
"https://example.org/redirect"
Two-letter ISO 3166-1 ALPHA-2 code, reference https://www.iban.com/country-codes
Example:
"DE"
⌘I